Bug 841174 - [abrt] python-2.7.3-3.fc16: __GI___poll: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-3.fc16: __GI___poll: Process /usr/bin/python2.7 was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:293437fb5e7e7ee6e80a4fd90b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 06:40 EDT by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:09:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (4.79 KB, text/plain)
2012-07-18 06:40 EDT, David Kovalsky
no flags Details
File: maps (23.08 KB, text/plain)
2012-07-18 06:40 EDT, David Kovalsky
no flags Details
File: backtrace (832.97 KB, text/plain)
2012-07-18 06:40 EDT, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2012-07-18 06:40:43 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/offlineimap
crash_function: __GI___poll
executable:     /usr/bin/python2.7
kernel:         3.4.4-4.fc16.x86_64
pid:            29636
pwd:            /home/dkovalsk
time:           Wed 18 Jul 2012 12:23:47 PM CEST
uid:            10625
username:       dkovalsk

backtrace:      Text file, 852957 bytes
dso_list:       Text file, 4904 bytes
maps:           Text file, 23637 bytes

comment:
:Run offlineimap against Red Hat Zimbra instance for a couple of hours and wait for the segfault to come. 
:
:

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=2421
:XDG_SESSION_ID=2
:HOSTNAME=kovinek
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/dkovalsk/.gnupg/S.gpg-agent:2452:1
:GLADE_PIXMAP_PATH=:
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=xfce-
:XDG_SESSION_COOKIE=0be1fdc65fa156c5e9e9a0da4b41e60e-1342435298.700995-948482196
:HISTSIZE=1000
:KONSOLE_DBUS_SERVICE=:1.662
:WINDOWID=81788954
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-ekJZpR
:SHELL_SESSION_ID=e31d452851ad4000820d56b2591d7cdd
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=dkovalsk
:LS_COLORS=no=00:fi=00:di=01;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-XAOOgwZh2333/agent.2333
:COBBLER_SERVER=lab.rhts.englab.brq.redhat.com
:USERNAME=dkovalsk
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2463,unix/unix:/tmp/.ICE-unix/2463
:XDG_CONFIG_DIRS=/etc/xdg
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/dkovalsk
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/icecc/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/dkovalsk/bin
:QT_IM_MODULE=xim
:PWD=/home/dkovalsk
:XMODIFIERS=@im=none
:EDITOR=/usr/bin/vim
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2328
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/2
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/dkovalsk
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:LANGUAGE=
:LOGNAME=dkovalsk
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fFJsRhfUp8,guid=d87c77a0a04b91e4a6c5fef0000000bf
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/dkovalsk
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/var/run/gdm/auth-for-dkovalsk-dAdmBu/database
:_=/usr/bin/offlineimap

var_log_messages:
:Apr 15 20:44:33 kovinek kernel: [44913.380960] offlineimap[25809]: segfault at 58 ip 00007fa33138c095 sp 00007fa30d4f80d0 error 4 in libpython2.7.so.1.0[7fa3312b1000+171000]
:Apr 24 21:49:51 kovinek abrt[22835]: Saved core dump of pid 9164 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-04-24-21:49:49-9164 (193490944 bytes)
:Apr 26 00:53:18 kovinek abrt[11497]: Saved core dump of pid 11147 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-04-26-00:53:17-11147 (198623232 bytes)
:May  2 16:10:56 kovinek abrt[27309]: Saved core dump of pid 27191 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-02-16:10:54-27191 (215957504 bytes)
:May 16 18:26:49 kovinek abrt[15972]: Saved core dump of pid 28679 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-16-18:26:47-28679 (181542912 bytes)
:May 29 18:13:41 kovinek abrt[29153]: Saved core dump of pid 25296 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-29-18:13:39-25296 (141086720 bytes)
:Jun  6 16:53:03 kovinek abrt[26550]: Saved core dump of pid 3096 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-06-16:53:00-3096 (317435904 bytes)
:Jun  8 16:54:30 kovinek abrt[1818]: Saved core dump of pid 14214 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-08-16:54:27-14214 (216264704 bytes)
:Jun 13 13:48:26 kovinek abrt[25787]: Saved core dump of pid 17754 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-13-13:48:24-17754 (271646720 bytes)
:Jul 18 11:07:08 kovinek abrt[27620]: Saved core dump of pid 27409 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-18-11:07:06-27409 (208314368 bytes)
:Jul 18 12:23:47 kovinek kernel: [97360.039921] offlineimap[29764]: segfault at 58 ip 00007fc3d3d03535 sp 00007fc38bffe210 error 4 in libpython2.7.so.1.0[7fc3d3c28000+172000]
:Jul 18 12:23:48 kovinek abrt[29816]: Saved core dump of pid 29636 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-18-12:23:47-29636 (199385088 bytes)
Comment 1 David Kovalsky 2012-07-18 06:40:49 EDT
Created attachment 598846 [details]
File: dso_list
Comment 2 David Kovalsky 2012-07-18 06:40:52 EDT
Created attachment 598847 [details]
File: maps
Comment 3 David Kovalsky 2012-07-18 06:40:56 EDT
Created attachment 598848 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 08:22:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:09:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.